<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('tintorerias', function (Blueprint $table) {
            $table->decimal('valor_por_prenda', 10, 2)->default(0)->after('cantidad_enviada');
            $table->decimal('total_pagar', 12, 2)->default(0)->after('descuentos_cobros');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('tintorerias', function (Blueprint $table) {
            $table->dropColumn(['valor_por_prenda', 'total_pagar']);
        });
    }
};
